USE [GDC_CMOD]
GO

/****** Object:  Table [dbo].[AUDIT_EVENTS]    Script Date: 1/23/2026 4:38:31 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[AUDIT_EVENTS](
	[ACCESSNUMBER] [varchar](20) NOT NULL,
	[EVENT_TYPE] [varchar](20) NOT NULL,
	[USERID] [varchar](50) NOT NULL,
	[EVENT_AT] [datetime] NOT NULL,
	[REASON] [varchar](500) NULL,
 CONSTRAINT [PK_AUDIT_EVENTS] PRIMARY KEY CLUSTERED 
(
	[ACCESSNUMBER] ASC,
	[EVENT_TYPE] ASC,
	[EVENT_AT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[AUDIT_EVENTS] ADD  DEFAULT (getdate()) FOR [EVENT_AT]
GO


